# Flutter Focus Widget

### 一个可以让FocusNode失去焦点的Widget

### A focusable and blurable widget of use the FocusNode.

- 当FocusWidget获得焦点后

    在FocusWidget域外触发PointerDown

    会让FocusWidget失去焦点

    并且触发FocusNode的listener

- When the FocusWidget has focus

    Trigger the PointerDown event outside the FocusWidget area

    Will make FocusWidget lose focus

    And trigger the FocusNode listener

```dart
class XXX extend StatelessWidget{
    final FocusNode _input = FocusNode();
    @override
    Widget build(BuildContext context) {
        return Scaffold(
        body: Column(children:[
            FocusWidget(
                focusNode:_input,
                child: TextField(
                    focusNode:_input,
                    InputDecoration(hintText: 'Input 1', labelText: 'Input 1'),
                )
            ),
            FocusWidget.builder(
                context,
                (ctx, focusNode) => TextField(
                  focusNode: focusNode,
                  autofocus: true,
                  decoration: InputDecoration(
                    hintText: 'Input 2',
                    labelText: 'Input 2',
                  ),
                ),
              )
        ]));
    }
}
```

### 录屏 / Screen Recording

![gif](https://github.com/gzlock/images/blob/master/focus_widget/1.gif?raw=true)